Bug 809748 - Review Request: xz-java - Java implementation of XZ data compression
Review Request: xz-java - Java implementation of XZ data compression
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Hernández
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 05:42 EDT by Mikolaj Izdebski
Modified: 2012-04-24 00:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: xz-java-1.0-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-21 23:39:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
juan.hernandez: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-04-04 05:42:44 EDT
Spec URL: http://mizdebsk.fedorapeople.org/review/xz-java/xz-java.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/xz-java/xz-java-1.0-1.fc16.src.rpm
Description:
A complete implementation of XZ data compression in Java.

It features full support for the .xz file format specification version 1.0.4,
single-threaded streamed compression and decompression, single-threaded
decompression with limited random access support, raw streams (no .xz headers)
for advanced users, including LZMA2 with preset dictionary.
Comment 1 Juan Hernández 2012-04-04 11:58:52 EDT
I am taking this package for review.
Comment 2 Juan Hernández 2012-04-04 12:53:56 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

Output of rpmlint of the source package:

$ rpmlint xz-java-1.0-1.fc16.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Output of rpmlint of the binary packages:

$ rpmlint xz-java-1.0-1.fc18.noarch.rpm xz-java-javadoc-1.0-1.fc18.noarch.rpm
xz-java-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

This spelling warning is acceptable.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3963745

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.

License type: Public Domain

[!]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

The COPYING file is the closest thing to a license in this
package, so it should be added to the %doc section.

[!]  All independent sub-packages have license of their own

The javadoc package doesn't include a copy of the COPYING file.

[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.

Checked using a recursive diff of the package sources and the
upstream sources.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.

Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3963745

=== Issues ===
1. The COPYING file is the closest thing to a license in this
package, so it should be added to the %doc section.
2. The javadoc package is independent of the main package, but
doesn't include a copy of the COPYING file.
3. The preamble doesn't contain a group. It should be
Development/Libraries, as most Java packages.
4. It would be nice to have a comment explaining why are you
creating an empty packages-list file prior to building.

=== Final Notes ===
Issues #1 to #3 need to be fixed, and I would appreciate if you
can add a comment regarding #4. Once this is done I will approve.


[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 3 Mikolaj Izdebski 2012-04-05 03:03:47 EDT
Thank you for the review.

I have fixed the issues you found. The new package is:

Spec URL: http://mizdebsk.fedorapeople.org/review/xz-java/xz-java.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/xz-java/xz-java-1.0-2.fc16.src.rpm
Comment 4 Juan Hernández 2012-04-05 15:57:44 EDT
I think everything is correct now. Thanks for fixing the issues Mikolaj!

================
*** APPROVED ***
================
Comment 5 Mikolaj Izdebski 2012-04-06 05:11:00 EDT
New Package SCM Request
=======================
Package Name: xz-java
Short Description: Java implementation of XZ data compression
Owners: mizdebsk
Branches: f16 f17
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2012-04-06 08:12:50 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-04-06 10:16:45 EDT
xz-java-1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xz-java-1.0-2.fc17
Comment 8 Fedora Update System 2012-04-06 10:40:02 EDT
xz-java-1.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xz-java-1.0-2.fc16
Comment 9 Fedora Update System 2012-04-06 19:24:06 EDT
xz-java-1.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-04-21 23:39:59 EDT
xz-java-1.0-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-04-24 00:27:00 EDT
xz-java-1.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.